## charmap.app 0.3~rc1

=== debian/changelog ===
charmap.app (0.3~rc1-6build2) questing; urgency=medium

  * Rebuild against latest gnustep

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 May 2025 08:34:21 -0400

charmap.app (0.3~rc1-6build1) plucky; urgency=medium

  * Rebuild against new multiarch framework.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Feb 2025 08:30:11 +0100

charmap.app (0.3~rc1-6) unstable; urgency=medium

  * Run wrap-and-sort -ast.
  * debian/control (Build-Depends): Require libgnustep-gui-dev (>=
    0.31.1-7) for the multiarch layout.  Drop gnustep-make; implied.
  * debian/charmap.app.install: Update for multiarch (Closes: #1093985).
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 31 Jan 2025 06:08:25 +0200

charmap.app (0.3~rc1-5) unstable; urgency=medium

  * debian/control (Build-Depends): Switch to dehelper-compat; set level
    to 13.  Bump gnustep-make requirement to (>= 2.9.2-2) for dh_gnustep's
    new options.  Remove imagemagick.  Add dpkg-build-api (= 1).
    (charmap.app-common) <Breaks, Replaces>: Bump version because the
    Resources symlink is moved to the -common package.
    <Multi-Arch>: Set to foreign.
    (Homepage): Use HTTPS protocol.
    (Standards-Version): Claim compliance with 4.7.0.
  * debian/compat: Delete.
  * debian/charmap.app.install: Install everything but Resources,
    otherwise dh_missing fails.  Remove the XPM icon.
  * debian/rules (DEB_LDFLAGS_MAINT_APPEND): Drop -Wl,--as-needed.
    (DESTDIR, b_charmap): Remove definitions.
    (override_dh_auto_build): Don't do an out-of-tree build; pointless.
    Use $(verbose) instead of messages=yes and pass $(optim) to support
    "terse" and "noopt" in DEB_BUILD_OPTIONS.  Don't create a XPM icon.
    (override_dh_auto_install): Remove override; now unnecessary.
    (override_dh_auto_clean): Likewise.
    (override_dh_fixperms): Likewise.
    (execute_before_dh_link): New override; run dh_gnustep --app
    --move-to=charmap.app-common.
    (override_dh_strip): Remove override; we *want* a -dbgsym package.
    (override_dh_compress): New override; exclude PDF.
  * debian/charmap.app.links: Delete; now unnecessary.
  * debian/charmap.app-common.install: Likewise.
  * debian/clean: Likewise.
  * debian/Charmap.desktop (Icon): Amend path.  The icon must be in the
    same binary package for AppStream.
  * debian/watch: Use HTTPS protocol.
  * debian/docs: Add the PDF manual.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 05 Oct 2024 16:34:08 +0300

charmap.app (0.3~rc1-4) unstable; urgency=medium

  * Team upload.
  * Bump standards version to 4.5.0.
  * Bump debhelper version to 11.
  * Update Vcs fields.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 03 Feb 2020 05:24:56 +0100

charmap.app (0.3~rc1-3) unstable; urgency=medium

  * Team upload.
  * Rewrite debian/rules (Closes: #806005):
   + enable hardening
   + install in debian/tmp
   + remove override_dh_link target
   + update override_dh_clean target
   + update override_dh_auto_build target
   + new override_dh_fixperms target
   + new override_dh_strip target
  * Update debian/control file:
    + add myself as new Uploader
    + update Standards-Version to 3.9.8
    + update Vcs-* fields
    + remove {gnustep:Depends} variable
  * Update debian/watch to version 4
  * New debian/clean file
  * Update debian/charmap.app.install file
  * New debian/charmap.app-common.install file
  * New debian/charmap.app.links file
  * Delete debian/menu to make lintian quiet
  * debian/copyright: use https for Format
  * gcc-warnings patch: use https for debian bug
  * Update debian/Charmap.desktop

 -- Eric Heintzmann <heintzmann.eric@free.fr>  Wed, 07 Sep 2016 11:02:10 +0200

charmap.app (0.3~rc1-2) unstable; urgency=medium

  * debian/rules (override_dh_link): Fix FTBFS with dpkg-buildpackage -B.
  * debian/copyright: Add 2005 to copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 01 Aug 2014 18:28:39 +0300

charmap.app (0.3~rc1-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Update to look at Savannah.
  * debian/format: Switch to 3.0 (quilt).
  * debian/compat: Set to 9.
  * debian/rules: Rewrite for modern dh.  Enable hardening.
  * debian/control (Build-Depends): Remove quilt and bump debhelper.
    Require gnustep-make >= 2.6.6-2.
    (Vcs-Git, Vcs-Browser): Use the canonical URIs.
    (Standards-Version): Claim compliance with 3.9.5 as of this release.
    (charmap.app-common): New package, split arch-indep files.  Adjust
    package relationships accordingly.
  * debian/patches/load-gorm-file.patch:
  * debian/patches/Controller-generateCharmap.patch: Delete.
  * debian/patches/ftbfs-fix.patch: New.
  * debian/patches/gcc-warnings.patch: New (Closes: #749737).
  * debian/patches/fix-exception-gui0.24.patch: New; fixes NSException
    when loading the main gorm file with gnustep-gui/0.24.
  * debian/patches/series: Update.
  * debian/README.source: Delete.
  * debian/Charmap.desktop: Add Keywords field.
  * debian/docs:
  * debian/manpages:
  * debian/charmap.app.install: New file.
  * debian/copyright: Switch to format 1.0, add FDL blurb.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 17 Jul 2014 14:20:21 +0300

charmap.app (0.2-11) unstable; urgency=low

  * debian/patches/load-gorm-file.patch: New, fixes startup issues with
    gnustep-gui/0.20 (Closes: #645927).
  * debian/patches/series: Update.
  * debian/control (Vcs-Arch): Replace with...
    (Vcs-Git, Vcs-Browser): ...as the package is now maintained in Git.
    (Standards-Version): Bump to 3.9.2; no changes needed.
  * debian/rules (binary-arch): Remove GS_USE_FHS conditional.
  * debian/preinst: Delete; not needed anymore.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 22 Oct 2011 12:42:16 +0300

charmap.app (0.2-10) unstable; urgency=low

  * debian/compat: Set to 7.
  * debian/control (Section): Change to `gnustep'.
    (Maintainer): Adopt for the GNUstep team (Closes: #454276).

