=== debian/control ===
Source: charmap.app
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders:
 Eric Heintzmann <heintzmann.eric@free.fr>,
 Yavor Doganov <yavor@gnu.org>,
Section: gnustep
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dpkg-build-api (= 1),
 libgnustep-gui-dev (>= 0.31.1-7),
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/gnustep-team/charmap.app.git
Vcs-Browser: https://salsa.debian.org/gnustep-team/charmap.app
Homepage: https://www.nongnu.org/charmap/

Package: charmap.app
Architecture: any
Depends:
 charmap.app-common (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Character map for GNUstep
 This is a character map. It is developed using the GNUstep development
 environment (www.gnustep.org) and is meant to contribute to GNUstep's promise
 towards a desktop environment.
 .
 Charmap offers font selection, allowing one to easily see all the
 glyphs which a particular font offers.

Package: charmap.app-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 charmap.app,
Breaks:
 charmap.app (<< 0.3~rc1-5),
Replaces:
 charmap.app (<< 0.3~rc1-5),
Description: Character map for GNUstep (arch-independent files)
 Charmap is a character map for GNUstep.  It offers font selection,
 allowing one to easily see all the glyphs which a particular font
 provides.
 .
 This package contains the architecture-independent files.
