=== debian/watch ===
version=4

# No signature available
opts="uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/" \
https://download.savannah.gnu.org/releases/charmap \
	charmap-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
